Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.tibco.webcomp.client
Enum WebCompLoadParams.ParamName

    java.lang.Object
      java.lang.Enum<WebCompLoadParams.ParamName>
          com.tibco.webcomp.client.WebCompLoadParams.ParamName

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<WebCompLoadParams.ParamName>

Enclosing class:
  WebCompLoadParams

    public static enum WebCompLoadParams.ParamName

extends java.lang.Enum<WebCompLoadParams.ParamName>

Parameter names used to specify how Web Components load.

©2014 TIBCO Software Inc.

Since:
  TODO

Enum Constant Summary
`CASE_REF` Provides the initial case reference (Global Object ref) ID used to load a WORK_LIST_CASE_REF WebComp.
`SHOW_LOGIN` When a component loads a check is made to see if the session has been authenticated.

Method Summary
`static WebCompLoadParams.ParamName` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static WebCompLoadParams.ParamName[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SHOW_LOGIN

    public static final WebCompLoadParams.ParamName SHOW_LOGIN

  When a component loads a check is made to see if the session has been authenticated. If the session is not authenticated, then a login view is normally displayed to the user which is the default behavior. If this param is set to false, then the login view is not displayed to the user and the load of the component is delayed until a valid login does occur. When a valid login is processed any components loaded prior to the login will be loaded at that time. This param can be used when loading any WebComp but has no effect when loading the LOGIN WebComp. With the LOGIN WebComp, if the session is authenticated the application is initialized and no LOGIN is shown, otherwise the LOGIN component is loaded.

### CASE_REF

    public static final WebCompLoadParams.ParamName CASE_REF

  Provides the initial case reference (Global Object ref) ID used to load a WORK_LIST_CASE_REF WebComp.

Method Detail

### values

    public static WebCompLoadParams.ParamName[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (WebCompLoadParams.ParamName c : WebCompLoadParams.ParamName.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static WebCompLoadParams.ParamName valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.